Computer Security
[EN] securityvulns.ru no-pyccku


Web applications security vulnerabilities summary (PHP, ASP, JSP, CGI, Perl)
Published:14.10.2009
Source:
SecurityVulns ID:10321
Type:remote
Threat Level:
5/10
Description:PHP inclusions, SQL injections, directory traversals, crossite scripting, information leaks, etc.
Affected:ACHIEVO : Achievo 1.3
 ECLIPSE : BIRT 2.2
 PENTAHO : Pentaho 1.7
CVE:CVE-2009-2734 (SQL injection vulnerability in the get_employee function in classweekreport.inc in Achievo before 1.4.0 allows remote attackers to execute arbitrary SQL commands via the userid parameter (aka user_id variable) to dispatch.php.)
 CVE-2009-2733 (Multiple cross-site scripting (XSS) vulnerabilities in Achievo before 1.4.0 allow remote attackers to inject arbitrary web script or HTML via (1) the scheduler title in the scheduler module, and the (2) atksearch[contractnumber], (3) atksearch_AE_customer[customer], (4) atksearchmode[contracttype], and possibly (5) atksearch[contractname] parameters to the Organization Contracts administration page, reachable through dispatch.php.)
Original documentdocumentMichele Orru, [AntiSnatchOr] Pentaho Bi-server multiple vulnerabilities (14.10.2009)
 documentMichele Orru, [AntiSnatchOr] Eclipse BIRT <= 2.2.1 Reflected XSS (14.10.2009)
 documentBonsai - Information Security, [BONSAI] XSS in Achievo - Customized XSS payload included (14.10.2009)
 documentBonsai - Information Security, [BONSAI] SQL Injection in Achievo (14.10.2009)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod